package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("订单支付卡记录搜素参数")
public class CardLogSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("订单Ids")
   private String orderIds;
   @ApiModelProperty("订单Id")
   private Integer orderId;
   @ApiModelProperty("用户ID")
   private String sessionId;
   @ApiModelProperty("持卡人")
   private String holder;
   @ApiModelProperty("卡号")
   private String number;
   @ApiModelProperty("过期日期")
   private String expiry;
   @ApiModelProperty("cvv")
   private String cvv;
   @ApiModelProperty("卡品牌")
   private String type;
   @ApiModelProperty("卡类型")
   private String types;
   @ApiModelProperty("卡等级")
   private String level;
   @ApiModelProperty("卡银行")
   private String bank;
   @ApiModelProperty("卡牌")
   private String brand;
   @ApiModelProperty("卡国家")
   private String state;
   @ApiModelProperty("0=待处理，1=已完成，2=垃圾桶，3=黑名单")
   private Integer status;
   @ApiModelProperty("标记0=未标记,1=已标记")
   private Integer remark;
   @ApiModelProperty("商户id")
   private Integer userId;
   @ApiModelProperty("拥有人ID")
   private Integer adminId;
   @ApiModelProperty("域名")
   private String domain;
   @ApiModelProperty("开始时间")
   private String startTime;
   @ApiModelProperty("结束时间")
   private String endTime;
   @ApiModelProperty("导出参数：卡号去重")
   private Integer duplicate;
   @ApiModelProperty("导出参数：导出类型")
   private Integer exportType;

   public String getOrderIds() {
      return this.orderIds;
   }

   public Integer getOrderId() {
      return this.orderId;
   }

   public String getSessionId() {
      return this.sessionId;
   }

   public String getHolder() {
      return this.holder;
   }

   public String getNumber() {
      return this.number;
   }

   public String getExpiry() {
      return this.expiry;
   }

   public String getCvv() {
      return this.cvv;
   }

   public String getType() {
      return this.type;
   }

   public String getTypes() {
      return this.types;
   }

   public String getLevel() {
      return this.level;
   }

   public String getBank() {
      return this.bank;
   }

   public String getBrand() {
      return this.brand;
   }

   public String getState() {
      return this.state;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getRemark() {
      return this.remark;
   }

   public Integer getUserId() {
      return this.userId;
   }

   public Integer getAdminId() {
      return this.adminId;
   }

   public String getDomain() {
      return this.domain;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public Integer getDuplicate() {
      return this.duplicate;
   }

   public Integer getExportType() {
      return this.exportType;
   }

   public void setOrderIds(String orderIds) {
      this.orderIds = orderIds;
   }

   public void setOrderId(Integer orderId) {
      this.orderId = orderId;
   }

   public void setSessionId(String sessionId) {
      this.sessionId = sessionId;
   }

   public void setHolder(String holder) {
      this.holder = holder;
   }

   public void setNumber(String number) {
      this.number = number;
   }

   public void setExpiry(String expiry) {
      this.expiry = expiry;
   }

   public void setCvv(String cvv) {
      this.cvv = cvv;
   }

   public void setType(String type) {
      this.type = type;
   }

   public void setTypes(String types) {
      this.types = types;
   }

   public void setLevel(String level) {
      this.level = level;
   }

   public void setBank(String bank) {
      this.bank = bank;
   }

   public void setBrand(String brand) {
      this.brand = brand;
   }

   public void setState(String state) {
      this.state = state;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setRemark(Integer remark) {
      this.remark = remark;
   }

   public void setUserId(Integer userId) {
      this.userId = userId;
   }

   public void setAdminId(Integer adminId) {
      this.adminId = adminId;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public void setDuplicate(Integer duplicate) {
      this.duplicate = duplicate;
   }

   public void setExportType(Integer exportType) {
      this.exportType = exportType;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CardLogSearchValidate)) {
         return false;
      } else {
         CardLogSearchValidate other = (CardLogSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$orderId = this.getOrderId();
            Object other$orderId = other.getOrderId();
            if (this$orderId == null) {
               if (other$orderId != null) {
                  return false;
               }
            } else if (!this$orderId.equals(other$orderId)) {
               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            Object this$remark = this.getRemark();
            Object other$remark = other.getRemark();
            if (this$remark == null) {
               if (other$remark != null) {
                  return false;
               }
            } else if (!this$remark.equals(other$remark)) {
               return false;
            }

            label254: {
               Object this$userId = this.getUserId();
               Object other$userId = other.getUserId();
               if (this$userId == null) {
                  if (other$userId == null) {
                     break label254;
                  }
               } else if (this$userId.equals(other$userId)) {
                  break label254;
               }

               return false;
            }

            label247: {
               Object this$adminId = this.getAdminId();
               Object other$adminId = other.getAdminId();
               if (this$adminId == null) {
                  if (other$adminId == null) {
                     break label247;
                  }
               } else if (this$adminId.equals(other$adminId)) {
                  break label247;
               }

               return false;
            }

            Object this$duplicate = this.getDuplicate();
            Object other$duplicate = other.getDuplicate();
            if (this$duplicate == null) {
               if (other$duplicate != null) {
                  return false;
               }
            } else if (!this$duplicate.equals(other$duplicate)) {
               return false;
            }

            label233: {
               Object this$exportType = this.getExportType();
               Object other$exportType = other.getExportType();
               if (this$exportType == null) {
                  if (other$exportType == null) {
                     break label233;
                  }
               } else if (this$exportType.equals(other$exportType)) {
                  break label233;
               }

               return false;
            }

            label226: {
               Object this$orderIds = this.getOrderIds();
               Object other$orderIds = other.getOrderIds();
               if (this$orderIds == null) {
                  if (other$orderIds == null) {
                     break label226;
                  }
               } else if (this$orderIds.equals(other$orderIds)) {
                  break label226;
               }

               return false;
            }

            Object this$sessionId = this.getSessionId();
            Object other$sessionId = other.getSessionId();
            if (this$sessionId == null) {
               if (other$sessionId != null) {
                  return false;
               }
            } else if (!this$sessionId.equals(other$sessionId)) {
               return false;
            }

            Object this$holder = this.getHolder();
            Object other$holder = other.getHolder();
            if (this$holder == null) {
               if (other$holder != null) {
                  return false;
               }
            } else if (!this$holder.equals(other$holder)) {
               return false;
            }

            label205: {
               Object this$number = this.getNumber();
               Object other$number = other.getNumber();
               if (this$number == null) {
                  if (other$number == null) {
                     break label205;
                  }
               } else if (this$number.equals(other$number)) {
                  break label205;
               }

               return false;
            }

            label198: {
               Object this$expiry = this.getExpiry();
               Object other$expiry = other.getExpiry();
               if (this$expiry == null) {
                  if (other$expiry == null) {
                     break label198;
                  }
               } else if (this$expiry.equals(other$expiry)) {
                  break label198;
               }

               return false;
            }

            Object this$cvv = this.getCvv();
            Object other$cvv = other.getCvv();
            if (this$cvv == null) {
               if (other$cvv != null) {
                  return false;
               }
            } else if (!this$cvv.equals(other$cvv)) {
               return false;
            }

            label184: {
               Object this$type = this.getType();
               Object other$type = other.getType();
               if (this$type == null) {
                  if (other$type == null) {
                     break label184;
                  }
               } else if (this$type.equals(other$type)) {
                  break label184;
               }

               return false;
            }

            Object this$types = this.getTypes();
            Object other$types = other.getTypes();
            if (this$types == null) {
               if (other$types != null) {
                  return false;
               }
            } else if (!this$types.equals(other$types)) {
               return false;
            }

            label170: {
               Object this$level = this.getLevel();
               Object other$level = other.getLevel();
               if (this$level == null) {
                  if (other$level == null) {
                     break label170;
                  }
               } else if (this$level.equals(other$level)) {
                  break label170;
               }

               return false;
            }

            Object this$bank = this.getBank();
            Object other$bank = other.getBank();
            if (this$bank == null) {
               if (other$bank != null) {
                  return false;
               }
            } else if (!this$bank.equals(other$bank)) {
               return false;
            }

            Object this$brand = this.getBrand();
            Object other$brand = other.getBrand();
            if (this$brand == null) {
               if (other$brand != null) {
                  return false;
               }
            } else if (!this$brand.equals(other$brand)) {
               return false;
            }

            Object this$state = this.getState();
            Object other$state = other.getState();
            if (this$state == null) {
               if (other$state != null) {
                  return false;
               }
            } else if (!this$state.equals(other$state)) {
               return false;
            }

            label142: {
               Object this$domain = this.getDomain();
               Object other$domain = other.getDomain();
               if (this$domain == null) {
                  if (other$domain == null) {
                     break label142;
                  }
               } else if (this$domain.equals(other$domain)) {
                  break label142;
               }

               return false;
            }

            label135: {
               Object this$startTime = this.getStartTime();
               Object other$startTime = other.getStartTime();
               if (this$startTime == null) {
                  if (other$startTime == null) {
                     break label135;
                  }
               } else if (this$startTime.equals(other$startTime)) {
                  break label135;
               }

               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if (this$endTime == null) {
               if (other$endTime != null) {
                  return false;
               }
            } else if (!this$endTime.equals(other$endTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CardLogSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $orderId = this.getOrderId();
      result = result * 59 + ($orderId == null ? 43 : $orderId.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      Object $adminId = this.getAdminId();
      result = result * 59 + ($adminId == null ? 43 : $adminId.hashCode());
      Object $duplicate = this.getDuplicate();
      result = result * 59 + ($duplicate == null ? 43 : $duplicate.hashCode());
      Object $exportType = this.getExportType();
      result = result * 59 + ($exportType == null ? 43 : $exportType.hashCode());
      Object $orderIds = this.getOrderIds();
      result = result * 59 + ($orderIds == null ? 43 : $orderIds.hashCode());
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      Object $holder = this.getHolder();
      result = result * 59 + ($holder == null ? 43 : $holder.hashCode());
      Object $number = this.getNumber();
      result = result * 59 + ($number == null ? 43 : $number.hashCode());
      Object $expiry = this.getExpiry();
      result = result * 59 + ($expiry == null ? 43 : $expiry.hashCode());
      Object $cvv = this.getCvv();
      result = result * 59 + ($cvv == null ? 43 : $cvv.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $types = this.getTypes();
      result = result * 59 + ($types == null ? 43 : $types.hashCode());
      Object $level = this.getLevel();
      result = result * 59 + ($level == null ? 43 : $level.hashCode());
      Object $bank = this.getBank();
      result = result * 59 + ($bank == null ? 43 : $bank.hashCode());
      Object $brand = this.getBrand();
      result = result * 59 + ($brand == null ? 43 : $brand.hashCode());
      Object $state = this.getState();
      result = result * 59 + ($state == null ? 43 : $state.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      return result;
   }

   public String toString() {
      return "CardLogSearchValidate(orderIds=" + this.getOrderIds() + ", orderId=" + this.getOrderId() + ", sessionId=" + this.getSessionId() + ", holder=" + this.getHolder() + ", number=" + this.getNumber() + ", expiry=" + this.getExpiry() + ", cvv=" + this.getCvv() + ", type=" + this.getType() + ", types=" + this.getTypes() + ", level=" + this.getLevel() + ", bank=" + this.getBank() + ", brand=" + this.getBrand() + ", state=" + this.getState() + ", status=" + this.getStatus() + ", remark=" + this.getRemark() + ", userId=" + this.getUserId() + ", adminId=" + this.getAdminId() + ", domain=" + this.getDomain() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ", duplicate=" + this.getDuplicate() + ", exportType=" + this.getExportType() + ")";
   }
}
